package com.xebia.query.execute;

import java.io.IOException;

import org.apache.lucene.search.Query;
import org.apache.lucene.search.Searcher;
import org.apache.lucene.search.TopDocs;

public class QueryExecutorImpl implements QueryExecutor {

    public TopDocs executeQuery(Query exactQuery, Searcher searcher) {
        TopDocs topDocs = null;
        try {
            topDocs = searcher.search(exactQuery, 10);
            return topDocs;
        } catch (IOException e) {
            System.out.println("**********Error executing query***********");
        }
        return topDocs;
    }
}
