package com.xebia.query.create;

import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.search.Query;

public interface QueryFactory {

    public Query createExactQuery(String fieldName, String termToSearch);

    public Query createExactQuery(String fieldName, String termToSearch, Analyzer analyzer);

    public Query createFuzzyQuery();

}
