package com.xebia.query.create;

import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.index.Term;
import org.apache.lucene.search.Query;
import org.apache.lucene.search.TermQuery;

import parse.LuceneConfiguration;

public class QueryFactoryImpl implements QueryFactory {

    private LuceneConfiguration luceneConfiguration;

    public QueryFactoryImpl(LuceneConfiguration luceneConfiguration) {
        this.luceneConfiguration = luceneConfiguration;
    }

    public Query createExactQuery(String fieldName, String termToSearch) {
        Query query = new TermQuery(new Term(fieldName, termToSearch));
        return query;
    }

    public Query createExactQuery(String fieldName, String termToSearch, Analyzer analyzer) {
        Query query = new TermQuery(new Term(fieldName, termToSearch));
        return query;
    }

    public Query createFuzzyQuery() {
        return null;
    }

}
